%define	module	GDTextUtil
%define name	perl-GD-TextUtil
%define version 0.83
%define release 10mdk

Summary:	GD-TextUtil module for perl 
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source0:	GDTextUtil-%{version}.tar.bz2
URL:		http://www.cpan.org
BuildRequires:	perl-devel
BuildRequires:	perl-GD >= 1.20
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The %{module} package contains text utilities for use with the GD
drawing package. 

This package provides three modules that make it possible to work with
internal GD fonts as well as TrueType fonts, without having to worry
about different interface functions to call. Apart from an abstract
interface to all font types and strings for GD, this library also
provides some utility in aligning and wrapping your string.

%prep
%setup -q -n %{module}-%{version} 

# perl path hack
find . -type f | xargs perl -p -i -e "s|^#\!/usr/local/bin/perl|#\!/usr/bin/perl|g"

%build
perl Makefile.PL INSTALLDIRS=vendor </dev/null
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 
%makeinstall_std

%clean 
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/GD/*.pm
%{perl_vendorlib}/GD/Text
%{_mandir}/*/*

%changelog
* Fri Oct 15 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.83-10mdk
- fix deps

* Sat Aug 16 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.83-9mdk
- don't own other dirs

* Sat Aug 16 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.83-8mdk
- rebuild for new perl
- drop $RPM_OPT_FLAGS, noarch..
- use %%makeinstall_std macro
- %%module macro

* Wed May 28 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.83-7mdk
- rebuild for new auto{prov,req}

* Fri Apr 25 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.83-6mdk
- fix buildrequires, thanks to Stefan van der Eijks robot

* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.83-5mdk
- build release

* Wed Aug 07 2002 Christian Belisle <cbelisle@mandrakesoft.com> 0.83-4mdk
- rebuild with latest perl.
- fix man page conflict.
- add BuildRequires.

* Mon Jul 29 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.83-3mdk
- ship man pages too...

* Mon Jul 29 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.83-2mdk
- 1mdk was lost

* Mon Jul 29 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.83-1mdk
- initial cooker contrib.
